Name:           libslz
Version:        1.2.0
Release:        2%{?dist}
Summary:        StateLess Zip

License:        MIT
URL:            http://www.libslz.org/
Source:         https://github.com/wtarreau/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         build.patch
BuildRequires:  gcc


%description
SLZ is a fast and memory-less stream compressor which produces an output that
can be decompressed with zlib or gzip. It does not implement decompression at
all, zlib is perfectly fine for this.

The purpose is to use SLZ in situations where a zlib-compatible stream is
needed and zlib's resource usage would be too high while the compression ratio
is not critical. The typical use case is in HTTP servers and gateways which
have to compress many streams in parallel with little CPU resources to assign
to this task, and without having to limit the compression ratio due to the
memory usage. In such an environment, the server's memory usage can easily be
divided by 10 and the CPU usage by 3.


%package devel

Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}


%description devel
Development files for SLZ, the zenc and zdec commands that respectively
compress using SLZ and dump the decoding process.


%prep
%autosetup -p1


%build
%make_build CFLAGS="%{optflags}" LIB_LFLAGS='%{?__global_ldflags}'


%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_libdir}
rm %{buildroot}%{_libdir}/*.a


%files
%doc README
%license LICENSE
%{_libdir}/*.so.*


%files devel
%{_libdir}/*.so
%{_bindir}/*
%{_includedir}/*


%changelog
* Mon Mar 16 2020 Dridi Boukelmoune <dridi@fedoraproject.org> - 1.2.0-2
- Fix the file permissions of the library

* Tue Feb 18 2020 Dridi Boukelmoune <dridi@fedoraproject.org> - 1.2.0-1
- Initial spec
